Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade
Class UpgradeActionContext

    public interface class UpgradeActionContext

The context within which an upgrade action is performed.

(Unpublished)

Field Summary
`static java.lang.String` | `DATABASEOPTION_ONLINE_REDEFINITION` The name of the database option for Online Redefinition.
`static java.lang.String` | `DEFAULT_LIBRARYSERVICE_NAME` The name of the default LibraryService that is returned by `getDefaultLibraryService` and `restartDefaultLibraryService`.

Method Summary
`BatchUpdateAssistant` | `getBatchUpdateAssistant()` Gets a batch update assistant for this upgrade action.
`javax.sql.DataSource` | `getDataSource()` Gets a JDBC DataSource for connecting to the repository.
`LibraryService` | `getDefaultLibraryService()` Gets the the LibraryService named `UpgradeActionContext.DEFAULT_LIBRARYSERVICE_NAME`, starting it if necessary.
`ProgressAssistant` | `getProgressAssistant()` Gets a progress assistant for this upgrade action.
`RowChangeAssistant` | `getRowChangeAssistant()` Gets a row-change assistant for this upgrade action.
`java.lang.String` | `getSchemaName()` Gets the name of the repository schema.
`StateAssistant` | `getStateAssistant()` Gets a state assistant for this upgrade action.
`boolean` | `isDatabaseOptionAvailable(java.lang.String option)` Gets whether the specified database option is available.
`void` | `postError(java.lang.String operation, java.lang.String location, java.lang.String description)` Posts an error in the execution of this upgrade action.
`LibraryService` | `restartDefaultLibraryService()` Restarts the LibraryService named `UpgradeActionContext.DEFAULT_LIBRARYSERVICE_NAME`.
`boolean` | `stopRequested()` Gets whether the upgrade action should stop the in-progress `analyze`, `preUpgrade`, `upgrade`, `postUpgrade`, or `rollback`.

Field Detail

### DEFAULT_LIBRARYSERVICE_NAME

    static final java.lang.String DEFAULT_LIBRARYSERVICE_NAME

  Description copied from interface: `UpgradeActionContext`
  The name of the default LibraryService that is returned by `getDefaultLibraryService` and `restartDefaultLibraryService`.

  See Also:
    Constant Field Values
  (Unpublished)

### DATABASEOPTION_ONLINE_REDEFINITION

    static final java.lang.String DATABASEOPTION_ONLINE_REDEFINITION

  Description copied from interface: `UpgradeActionContext`
  The name of the database option for Online Redefinition.

  See Also:
    Constant Field Values
  (Unpublished)

Method Detail

### stopRequested

    boolean stopRequested()
                          throws IfsException

  Description copied from interface: `UpgradeActionContext`
  Gets whether the upgrade action should stop the in-progress `analyze`, `preUpgrade`, `upgrade`, `postUpgrade`, or `rollback`.

  Returns:
    whether stop was requested
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### postError

    void postError(java.lang.String operation,
                   java.lang.String location,
                   java.lang.String description)
                   throws IfsException

  Description copied from interface: `UpgradeActionContext`
  Posts an error in the execution of this upgrade action.

  Parameters:
    `operation` - an action-specific description of the operation on which the error occurred, for example "`UPDATE odmm_contentstore`", or null if inapplicable
    `location` - an action-specific description of the data on which the error occurred, for example "`ID=3892`", or null if inapplicable
    `description` - a description of the error that occurred, or null if unknown
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getStateAssistant

    StateAssistant getStateAssistant()
                                     throws IfsException

  Description copied from interface: `UpgradeActionContext`
  Gets a state assistant for this upgrade action.

  Returns:
    a state assistant
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getRowChangeAssistant

    RowChangeAssistant getRowChangeAssistant()
                                             throws IfsException

  Description copied from interface: `UpgradeActionContext`
  Gets a row-change assistant for this upgrade action.

  Returns:
    a row-change assistant
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getProgressAssistant

    ProgressAssistant getProgressAssistant()
                                           throws IfsException

  Description copied from interface: `UpgradeActionContext`
  Gets a progress assistant for this upgrade action.

  Returns:
    a progress assistant
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getBatchUpdateAssistant

    BatchUpdateAssistant getBatchUpdateAssistant()
                                                 throws IfsException

  Description copied from interface: `UpgradeActionContext`
  Gets a batch update assistant for this upgrade action.

  Returns:
    a batch update assistant
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDataSource

    javax.sql.DataSource getDataSource()
                                       throws IfsException

  Description copied from interface: `UpgradeActionContext`
  Gets a JDBC DataSource for connecting to the repository.

  Returns:
    the DataSource
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSchemaName

    java.lang.String getSchemaName()
                                   throws IfsException

  Description copied from interface: `UpgradeActionContext`
  Gets the name of the repository schema.

  Returns:
    the schema name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isDatabaseOptionAvailable

    boolean isDatabaseOptionAvailable(java.lang.String option)
                                      throws IfsException

  Description copied from interface: `UpgradeActionContext`
  Gets whether the specified database option is available.

  The available options are contained in dynamic view `V$OPTION`.

  Parameters:
    `option` - the name of the option
  Returns:
    whether the option is available
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDefaultLibraryService

    LibraryService getDefaultLibraryService()
                                            throws IfsException

  Description copied from interface: `UpgradeActionContext`
  Gets the the LibraryService named `UpgradeActionContext.DEFAULT_LIBRARYSERVICE_NAME`, starting it if necessary.

  Returns:
    the service
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### restartDefaultLibraryService

    LibraryService restartDefaultLibraryService()
                                                throws IfsException

  Description copied from interface: `UpgradeActionContext`
  Restarts the LibraryService named `UpgradeActionContext.DEFAULT_LIBRARYSERVICE_NAME`.

  After an upgrade action performs operations that leave stale data in the LibraryService caches, it must call this method to restart the service. This happens automatically if, in the upgrade script, the upgrade action's `restartServiceAfterwards` attribute is true. Otherwise, the action can explicitly call this method.

  Returns:
    the service
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD